%define po_package libexo-0.3

Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Application library for the Xfce desktop environment
Name:		exo
Version:	0.3.4
Release:	2
License:	LGPL
URL:		http://libexo.os-cillation.com/
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libxfcegui4 >= 4.4.1
BuildRequires:	libxfcegui4-devel >= 4.4.1
BuildRequires:	libxfce4mcs-devel >= 4.4.1
BuildRequires:	xfce-mcs-manager-devel >= 4.4.1
BuildRequires:	libnotify-devel gtk2+-devel
BuildRequires:	python-devel hal-devel
BuildRequires:	PyGTK-devel
BuildRequires:	perl perl-URI
%description
Extension library for Xfce, targeted at application development.

%package devel
Summary:	Development files for the exo library
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description devel
Static libraries and header files for the exo library.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --enable-final --disable-gtk-doc \
	--enable-python --enable-hal
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
rm -rf %{buildroot}%_datadir/gtk-doc
%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root)
%_bindir
%_libexecdir
%_libdir/*.so.*
%_libdir/xfce4
%_libdir/python2.5
%_datadir/xfce4
%_datadir/icons
%_datadir/applications
%_datadir/pygtk
%_datadir/pixmaps
%_mandir
%_sysconfdir

%files devel
%defattr(-, root, root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.4-1
- Version Update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.2-2
- Rebuild Against XFCE 4.4.1
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.3.2-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.1.12-2
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1.12-1
- Version Update, RC2
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1.10-2
- rebuilt against python 2.5
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1.10-1
- Version Update, RC1
* Thu Jun 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1.8-1
- Version update, beta2
* Sun Mar 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1.4-1
- Version update, alpha2
* Sat Oct 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0-1
- Initial Release
